"use client";
import FormButtons from "@/components/simulation/common/form-buttons";
import Sidebar from "@/components/simulation/common/sidebar";
import { useTranslations } from "next-intl";
import dynamic from "next/dynamic";
import { useRouter } from "next/navigation";
import React, { useState, useTransition } from "react";
const Scene = dynamic(() => import("@/components/swimming-pool/scene"));

const DefaultSelect = { pool: 1, showWater: true, floor: 1, ladder: 0, waterfall: 0, jacuzzi: 0, lamp: 0, selectedProduct: null };

export default function SwimmingPool() {
	const t = useTranslations();
	const router = useRouter();

	const [showItem, setShowItem] = useState<any>(DefaultSelect);
	const [isLoading, setIsLoading] = useState<boolean>(false);
	const [isPending, startTransition] = useTransition();


	const _shapes: any = React.useMemo(() => ({
		title: t("Pool shape"),
		path: "pool",
		images: [
			{
				src: "/swimming-pool/pool-shape-1.png",
				alt: "pool-shape-1",
				data: { pool: 1 }
			},
			{
				src: "/swimming-pool/pool-shape-2.png",
				alt: "pool-shape-2",
				data: { pool: 2 }
			}
		],
		position: {
			position: { x: 2.495087891261038, y: 1.3182932241842755, z: 0.6962728967548462 },
			target: { x: -0.7679973185038164, y: -0.4873719997057038, z: -0.41551011139779925 }
		},


	}), [t]);

	console.log("showItem", showItem);
	const handleNextPage = () => {
		startTransition(() => {
			router.push(`/simulation-program/pool-tiles?pool=${showItem.pool}` as any);
		});
	};

	return (
		<div className="h-[105vh] w-full start-bg">
			<div className="flex h-full">
				<div className="w-full flex items-center justify-center">
					<FormButtons
						onPrevious={() => router.back()}
						onNext={handleNextPage}
						isPending={isPending}
					/>
					<Scene showItem={showItem} cameraSetting={_shapes?.position} />
					<Sidebar
						title={_shapes?.title}
						images={_shapes?.images}
						setShowItem={setShowItem}
						showItem={showItem}
						isLoading={isLoading}
					/>
				</div>
			</div>
		</div>
	);
}
